# Construct's Armory [![](http://cf.way2muchnoise.eu/versions/constructs-armory.svg)](https://minecraft.curseforge.com/projects/constructs-armory) [![](http://cf.way2muchnoise.eu/short_constructs-armory_downloads.svg)](https://minecraft.curseforge.com/projects/constructs-armory/files) [![License: LGPL v3](https://img.shields.io/badge/License-LGPL%20v3-blue.svg)](https://www.gnu.org/licenses/lgpl-3.0)

Construct's Armory is an add-on mod for Tinkers' Construct that adds four armor items: Helmet, Chestplate, Leggings, and Boots. These armor types can be customized just like the tools from Tinkers' Construct, allowing you to make different armor parts out of different materials in order to form a completely custom armor item.

# Getting Started

All of the information you'll need is located in the in-game book, titled "Materials and You - Armory Addendum". If your game is configured to give you the Materials and You book on spawn, it will also give you this addendum at the same time. If not, the crafting recipe is simply:

![](https://i.imgur.com/jnmnp5E.png)

This book will have information about the new tinkering tables you'll need, the Armor Station and the Armor Forge, as well as information about the material stats and available modifiers.

# FAQ

**Q. Can you add a modifier/material to support ____?**

A. No. I could, but I won't. As soon as I add support for one mod, then I won't have any reason not to add support for any and all mods. Considering the scope of possibilities, this is a huge endeavor and will only end up bloating this mod with a bunch of optional features. In addition, I'd rather have the other mods add support on their end because then they have full control over what kind of integration to introduce, if any.

**Q. Are you going to have different armor types?**

A. No. Armor isn't quite as abstract as tools are, and any way that I can think of to differentiate armor is already handled by the traits/modifiers system. There is room however for add-ons to possibly implement cosmetic alternatives.

**Q. Does this have integration with <insert Tinkers' add-on>?**

A. Only Tinkers' Tool Leveling. All other add-ons will have to do integration on their end as I generally only want to include features that are in base Tinkers' Construct.

**Q. Can you add armor dyeing?**

A. No. I actually wanted to, but I couldn't get the implementation to work correctly so I'm at a dead end as far as this feature is concerned.

**Q. Are you going to add shields?**

A. No. Shields are more similar to tools than armor, and I think Tinkers' Construct's battlesigns are a good enough implementation of that.

# Credits

A lot of code and assets are modified from parent mod, [Tinkers' Construct 2 (MIT License)](https://github.com/SlimeKnights/TinkersConstruct/)
